<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Trait\CustomValidationTrait;
use App\Models\Meta;
use Illuminate\Http\Request;
use App\Helper\ImageHelper;
class MetaController extends Controller
{
    use CustomValidationTrait ;

    public function index(){
        $meta=Meta::first();
        return view('admin.metas.index',compact('meta'));
    }

    public function update(Request $request, $id)
    {
        $fields = array_keys($request->all());
        $this->validateFields($fields);

        $meta = Meta::first();
        $data = $request->except(['header_logo', 'footer_logo','icon']);
        if ($request->hasFile('header_logo')) {
            $newImagePath = ImageHelper::add($request->header_logo, $meta->header_logo, 'metas');
            $data['header_logo'] = $newImagePath;
        }
        if ($request->hasFile('icon')) {
            $newImagePath = ImageHelper::add($request->icon, $meta->icon, 'metas');
            $data['icon'] = $newImagePath;
        }
        if ($request->hasFile('footer_logo')) {
            $newImagePath = ImageHelper::add($request->footer_logo, $meta->footer_logo, 'metas');
            $data['footer_logo'] = $newImagePath;
        }

        $data['ar'] = [
            'footer' => $request->footer_ar,
            'web_name' => $request->web_name_ar,
            'rights' => $request->rights_ar,
            'location' => $request->location_ar,
        ];

        $data['en'] = [
            'footer' => $request->footer_en,
            'web_name' => $request->web_name_en,
            'rights' => $request->rights_en,
            'location' => $request->location_en,
        ];

        $meta->update($data);

        return redirect()->back()->with('message', 'edited_successfully');
    }


    public function getSeo(){
        $meta=Meta::first();
        return view('admin.metas.seo',compact('meta'));
    }

    public function updateSeo(Request $request){

        $meta=Meta::first();
        if ($request->hasFile('og_image')) {
            $newImagePath = ImageHelper::add($request->og_image, $meta->og_image, 'metas');
            $data['og_image'] = $newImagePath;
        }
        $data['ar'] = [
            'title'    => $request->title_ar,
            'description' => $request->description_ar,
            'keywords'    => $request->keywords_ar,
            'og_title'    => $request->og_title_ar,
        ];
        $data['en'] = [
            'title'    => $request->title_en,
            'description' => $request->description_en,
            'keywords'    => $request->keywords_en,
            'og_title'    => $request->og_title_en,
        ];
        $meta->update($data);

        return redirect()->back()->with('message', 'edited_successfully');
    }
}
